Bug 50284 - [WINCE] Remove "current path" of GraphicsContext
Summary: [WINCE] Remove "current path" of GraphicsContext
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Patrick R. Gansterer
URL:
Keywords:
Depends on: 48516
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-30 16:12 PST by Patrick R. Gansterer
Modified: 2010-12-02 12:37 PST (History)
2 users (show)

See Also:


Attachments
Patch (6.28 KB, patch)
2010-11-30 16:15 PST, Patrick R. Gansterer
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick R. Gansterer 2010-11-30 16:12:36 PST
see patch
Comment 1 Patrick R. Gansterer 2010-11-30 16:15:50 PST
Created attachment 75220 [details]
Patch
Comment 2 Andreas Kling 2010-12-01 01:24:01 PST
Comment on attachment 75220 [details]
Patch

Awesome! r=me
Comment 3 Patrick R. Gansterer 2010-12-02 06:34:26 PST
Comment on attachment 75220 [details]
Patch

patch won't apply, I'll commit it manually
Comment 4 WebKit Commit Bot 2010-12-02 06:47:09 PST
The commit-queue encountered the following flaky tests while processing attachment 75220 [details]:

fast/images/load-img-with-empty-src.html
compositing/reflections/nested-reflection-animated.html

Please file bugs against the tests.  These tests were authored by mitz@webkit.org and simon.fraser@apple.com.  The commit-queue is continuing to process your patch.
Comment 5 Eric Seidel (no email) 2010-12-02 09:30:40 PST
It seems like it does apply if it's hititng flaky tests. :)  But manual commits are alway sifne.

The tree is very very bad these days, which is much of why the cq has so much trouble.
Comment 6 Patrick R. Gansterer 2010-12-02 11:15:12 PST
(In reply to comment #5)
> It seems like it does apply if it's hititng flaky tests. :)  But manual commits are alway sifne.
But the SVN commit will fail, because the WX patch was first: http://trac.webkit.org/changeset/73129 ;-)
Comment 7 Patrick R. Gansterer 2010-12-02 12:37:22 PST
Comment on attachment 75220 [details]
Patch

Clearing flags on attachment: 75220

Manually committed r73183: <http://trac.webkit.org/changeset/73183>
Comment 8 Patrick R. Gansterer 2010-12-02 12:37:53 PST
All reviewed patches have been landed.  Closing bug.